package com.engine.organization.mapper.extend;

import com.engine.organization.entity.extend.po.ExtendInfoPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/19
 * @version: 1.0
 */
public interface ExtendInfoMapper {

    List<ExtendInfoPO> listFields(@Param("extendType") String extendType, @Param("extendGroupId") String extendGroupId, @Param("tableName") String tableName, @Param("operateType") String operateType);

    int countFieldsByGroupId(@Param("groupId") Long groupId);

    int updateExtendInfo(ExtendInfoPO extendInfo);

    int insertExtendInfo(ExtendInfoPO extendInfo);

    // 添加表结构
    void addTableColumn(@Param("tableName") String tableName, @Param("fieldName") String fieldName, @Param("dbType") String dbType);

    Long getMaxId();

    List<Object> listFieldsByTableName(@Param("tableName") String tableName, @Param("fieldName") String fieldName);


}
